2017-05-01 02:17 ACST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000663Other Unix PortBugpublic2017-04-10 01:08
ReporterLewisR 
Assigned Topsmedley 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionsuspended 
Summary0000663: ncFTP from ncftp-3.2.5-os2-20131222b crashes when HOME not set
DescriptionAttempting to run ncftp.exe with no home directory set in the environment results in a SIGSEV.
Steps To Reproduce1. Unset home env var.
2. Run ncftp.exe.
Additional InformationResult:

Killed by SIGSEGV
pid=0x002f ppid=0x0024 tid=0x0001 slot=0x0081 pri=0x0200 mc=0x0001 ps=0x0010
C:\USR\LOCAL\BIN\NCFTP.EXE
NCFTP 0:0001b00e
cs:eip=005b:0002b00e      ss:esp=0053:0082ec80      ebp=0082eca8
 ds=0053      es=0053      fs=150b      gs=0000     efl=00010246
eax=00000000 ebx=0082eee0 ecx=ffffffff edx=fffffffb edi=00000000 esi=00000000
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

As this is not likely to be all that common, we can put this on a back burner or close as WONTFIX. I was just thinking that there should be a more graceful way to tell the poor idiot user that we don't know where home is!
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003092

psmedley (administrator)

It's an OS/2 specific bug... in fact, I'm not sure why the code in question is necessary.... will do some more testing when I get a minute...

~0003093

LewisR (developer)

Actually, Paul, of greater importance are 0000589, 0000590, and 0000622, as wildcards not working can be a real pain. This, however, would be an issue for Warp 4 users with no HOME variable set.

~0003134

LewisR (developer)

Closing this, as I think it was fixed some time ago. That said, I've been using ncFTP 3.2.6 from Netlabs for some time, and this has not been an issue. We can revisit if you feel the need to update the port to the latest code, Paul.
+Notes

-Issue History
Date Modified Username Field Change
2015-12-26 19:00 LewisR New Issue
2015-12-26 19:00 LewisR Status new => assigned
2015-12-26 19:00 LewisR Assigned To => psmedley
2015-12-26 19:01 LewisR Additional Information Updated View Revisions
2016-01-07 19:35 psmedley Note Added: 0003092
2016-01-08 01:07 LewisR Note Added: 0003093
2017-04-10 01:08 LewisR Status assigned => resolved
2017-04-10 01:08 LewisR Resolution open => suspended
2017-04-10 01:08 LewisR Note Added: 0003134
+Issue History